Overview | Modules | Class Hierarchy | Classes | Members

# tlp::GlMetaNodeRenderer Class Reference

`#include <GlMetaNodeRenderer.h>`

Inherited by tlp::GlMetaNodeTrueRenderer.

Inheritance diagram for tlp::GlMetaNodeRenderer:

[legend]
List of all members.

## Detailed Description

Class use to render a meta node, this version render nothing

## Public Member Functions

- virtual ~GlMetaNodeRenderer ()
- virtual void prerender (node n, float lod, Camera *camera)
- virtual void render (node n, float lod, Camera *camera)
- virtual bool havePrerender ()
- virtual void setInputData (GlGraphInputData *data)
- virtual GlGraphInputData * getInputData ()

## Constructor & Destructor Documentation

virtual tlp::GlMetaNodeRenderer::~GlMetaNodeRenderer | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual GlGraphInputData* tlp::GlMetaNodeRenderer::getInputData | ( |  | ) | `[inline, virtual]`

| Reimplemented in tlp::GlMetaNodeTrueRenderer.

virtual bool tlp::GlMetaNodeRenderer::havePrerender | ( |  | ) | `[inline, virtual]`

virtual void tlp::GlMetaNodeRenderer::prerender | ( | node | n,
|  | float | lod,
|  | Camera * | camera
| ) | `[inline, virtual]`

virtual void tlp::GlMetaNodeRenderer::render | ( | node | n,
|  | float | lod,
|  | Camera * | camera
| ) | `[inline, virtual]`

| Reimplemented in tlp::GlMetaNodeTrueRenderer.

virtual void tlp::GlMetaNodeRenderer::setInputData | ( | GlGraphInputData * | data | ) | `[inline, virtual]`

| Reimplemented in tlp::GlMetaNodeTrueRenderer.

Tulip Software by LaBRI Visualization Team 2001 - 2010